# Generated from spy-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name spy

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: A simple modern mocking library that uses the spy pattern and checks method's existence and arity
License: MIT
URL: https://github.com/ryanong/spy
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.1.0
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry-byebug)
# BuildRequires: rubygem(minitest) >= 4.5.0
# BuildRequires: rubygem(minitest-reporters)
# BuildRequires: rubygem(rspec-core)
# BuildRequires: rubygem(rspec-expectations)
# BuildRequires: rubygem(coveralls)
BuildArch: noarch

%description
Spy is a mocking library that was made for the modern age. It supports only
2.1.0+. Spy by default will raise an error if you attempt to stub a method
that doesn't exist or call the stubbed method with the wrong arity.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.tool-versions
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/spy.gemspec
%{gem_instdir}/test

%changelog
* Wed Sep 15 2021 mockbuilder - 1.0.1-1
- Initial package
